Skip to main content
GET
/
api
/
v1-beta
/
customers
/
{id}
/
entitlements
/
check
JavaScript
import Stigg from '@stigg/typescript';

const client = new Stigg({
  apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});

const response = await client.v1Beta.customers.entitlements.check('x');

console.log(response.data);
import os
from stigg import Stigg

client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
response = client.v1_beta.customers.entitlements.check(
id="x",
)
print(response.data)
package main

import (
"context"
"fmt"

"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)

func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.V1Beta.Customers.Entitlements.Check(
context.TODO(),
"x",
stigg.V1BetaCustomerEntitlementCheckParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package io.stigg.example;

import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1beta.customers.entitlements.EntitlementCheckParams;
import io.stigg.models.v1beta.customers.entitlements.EntitlementCheckResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();

EntitlementCheckResponse response = client.v1Beta().customers().entitlements().check("x");
}
}
require "stigg"

stigg = Stigg::Client.new(api_key: "My API Key")

response = stigg.v1_beta.customers.entitlements.check("x")

puts(response)
using System;
using Stigg.Client;
using Stigg.Client.Models.V1Beta.Customers.Entitlements;

StiggClient client = new();

EntitlementCheckParams parameters = new() { ID = "x" };

var response = await client.V1Beta.Customers.Entitlements.Check(parameters);

Console.WriteLine(response);
stigg v1-beta:customers:entitlements check \
--api-key 'My API Key' \
--id x
curl --request GET \
--url https://api.stigg.io/api/v1-beta/customers/{id}/entitlements/check \
--header 'X-API-KEY: <api-key>'
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1-beta/customers/{id}/entitlements/check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "data": {
    "isGranted": true,
    "type": "FEATURE",
    "accessDeniedReason": null,
    "feature": {
      "id": "feature-api-calls",
      "displayName": "API Calls",
      "featureType": "NUMBER",
      "featureStatus": "ACTIVE"
    },
    "usageLimit": 10000,
    "hasUnlimitedUsage": false,
    "resetPeriod": "MONTH",
    "currentUsage": 2500,
    "chains": [
      [
        {
          "entityId": "user-u1",
          "scopeEntityIds": [],
          "usageLimit": 1000,
          "currentUsage": 50,
          "isGranted": true
        },
        {
          "entityId": "user-u1",
          "scopeEntityIds": [
            "model-a"
          ],
          "usageLimit": 500,
          "currentUsage": 30,
          "isGranted": true
        }
      ]
    ]
  }
}
{
"message": "<string>"
}
{
"message": "<string>",
"code": "Unauthenticated"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>",
"code": "RateLimitExceeded"
}

Authorizations

X-API-KEY
string
header
required

Server API Key

Headers

X-ACCOUNT-ID
string

Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.

X-ENVIRONMENT-ID
string

Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).

Path Parameters

id
string
required

The unique identifier of the entity

Required string length: 1 - 255

Query Parameters

featureId
string

Feature ID (refId) to check. Mutually exclusive with currencyId.

Required string length: 1 - 255
currencyId
string

Currency ID (refId) to check for credit entitlements. Mutually exclusive with featureId.

Required string length: 1 - 255
resourceId
string

Resource ID to scope the entitlement check to a specific resource

Required string length: 1 - 255
requestedUsage
integer

Requested usage amount to evaluate against the entitlement limit (numeric features only)

Required range: x >= 0
requestedValues
string[]

Requested values to evaluate against allowed values (enum features only)

dimensions
object

Optional attribution map (e.g. dimensions[userId]=u1). When provided, the response includes a chains array with per-entity governance limits.

Response

The single entitlement with optional chains array carrying per-entity governance limits when dimensions was provided.

Response object

data
BetaFeatureEntitlement · object
required

Feature entitlement with optional governance chains attached.